# Uses of Class
javax.security.auth.login.AppConfigurationEntry.LoginModuleControlFlag

Packages that use AppConfigurationEntry.LoginModuleControlFlag
Package
Description
javax.security.auth.login
This package provides a pluggable authentication framework.

## Uses of AppConfigurationEntry.LoginModuleControlFlag in javax.security.auth.login

Fields in javax.security.auth.login declared as AppConfigurationEntry.LoginModuleControlFlag
Modifier and Type
Field
Description
`static final AppConfigurationEntry.LoginModuleControlFlag`
AppConfigurationEntry.LoginModuleControlFlag.`OPTIONAL`
Optional `LoginModule`.
`static final AppConfigurationEntry.LoginModuleControlFlag`
AppConfigurationEntry.LoginModuleControlFlag.`REQUIRED`
Required `LoginModule`.
`static final AppConfigurationEntry.LoginModuleControlFlag`
AppConfigurationEntry.LoginModuleControlFlag.`REQUISITE`
Requisite `LoginModule`.
`static final AppConfigurationEntry.LoginModuleControlFlag`
AppConfigurationEntry.LoginModuleControlFlag.`SUFFICIENT`
Sufficient `LoginModule`.
Methods in javax.security.auth.login that return AppConfigurationEntry.LoginModuleControlFlag
Modifier and Type
Method
Description
`AppConfigurationEntry.LoginModuleControlFlag`
AppConfigurationEntry.`getControlFlag()`
Return the controlFlag (either REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL) for this `LoginModule`.
Constructors in javax.security.auth.login with parameters of type AppConfigurationEntry.LoginModuleControlFlag
Modifier
Constructor
Description
``
`AppConfigurationEntry(String loginModuleName, AppConfigurationEntry.LoginModuleControlFlag controlFlag, Map<String,?> options)`
Default constructor for this class.